curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentResults/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"assessmentResult": {
"status": "active",
"assessmentLineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreDate": "2023-11-07T05:31:56Z",
"scoreStatus": "exempt",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}Get a specific Assessment Result on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Assessment result not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentResults/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"assessmentResult": {
"status": "active",
"assessmentLineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreDate": "2023-11-07T05:31:56Z",
"scoreStatus": "exempt",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the assessment result
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response with the assessment result
Represents an assessment result.
Show child attributes